commit:     f135d1c1e9b062396c459eaece0e0ad0bc8f3019
Author:     Sébastien Fabbro <bicatali <AT> gentoo <DOT> org>
AuthorDate: Mon Feb  8 20:43:41 2016 +0000
Commit:     Sebastien Fabbro <bicatali <AT> gentoo <DOT> org>
CommitDate: Mon Feb  8 20:43:41 2016 +0000
URL:        https://gitweb.gentoo.org/dev/bicatali.git/commit/?id=f135d1c1

sci-astronomy/wcslib: Version bump

 sci-astronomy/wcslib/Manifest           |  1 +
 sci-astronomy/wcslib/metadata.xml       | 23 +++++++++++
 sci-astronomy/wcslib/wcslib-5.14.ebuild | 72 +++++++++++++++++++++++++++++++++
 3 files changed, 96 insertions(+)

diff --git a/sci-astronomy/wcslib/Manifest b/sci-astronomy/wcslib/Manifest
new file mode 100644
index 0000000..4e8332d
--- /dev/null
+++ b/sci-astronomy/wcslib/Manifest
@@ -0,0 +1 @@
+DIST wcslib-5.14.tar.bz2 2221717 SHA256 
4d3f12d2636bb75488eaaa3ed435d7664d2c26a73a67ac1f7d5f3e530f39e37f SHA512 
431693cffcc7a9f2b29040a34f7dbac2f3360b094a42467f7378523c15260ffb3c0ad330e07077a40bf694956fae2371550d6583580f0bcc16ec47f9fbc5bc28
 WHIRLPOOL 
2acf5040b4960c001b7076189c1da4dd6b327257295dcdfa8a89d553a93f0980b0e62d66aec244a9cc8af70cc62b0497362839f26bb6cc6517e219ba55b73e93

diff --git a/sci-astronomy/wcslib/metadata.xml 
b/sci-astronomy/wcslib/metadata.xml
new file mode 100644
index 0000000..a599762
--- /dev/null
+++ b/sci-astronomy/wcslib/metadata.xml
@@ -0,0 +1,23 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+  <maintainer type="project">
+    <email>[email protected]</email>
+    <name>Gentoo Astronomy Project</name>
+  </maintainer>
+  <longdescription lang="en">
+  WCSLIB is a C library, supplied with a full set of Fortran wrappers,
+  that implements the "World Coordinate System" (WCS) convention in FITS
+  (Flexible Image Transport System).  It also includes a PGPLOT-based routine,
+  PGSBOX, for drawing general curvilinear coordinate graticules and a number of
+  utility programs.
+</longdescription>
+  <use>
+    <flag name="fits">
+    Enable support for the FITS format through <pkg>sci-libs/cfitsio</pkg>
+  </flag>
+    <flag name="pgplot">
+    Builds PGBSOX routines, needs <pkg>sci-libs/pgplot</pkg> library
+  </flag>
+  </use>
+</pkgmetadata>

diff --git a/sci-astronomy/wcslib/wcslib-5.14.ebuild 
b/sci-astronomy/wcslib/wcslib-5.14.ebuild
new file mode 100644
index 0000000..e05fe6f
--- /dev/null
+++ b/sci-astronomy/wcslib/wcslib-5.14.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+FORTRAN_NEEDED=fortran
+
+inherit fortran-2
+
+DESCRIPTION="Astronomical World Coordinate System transformations library"
+HOMEPAGE="http://www.atnf.csiro.au/people/mcalabre/WCS/";
+SRC_URI="ftp://ftp.atnf.csiro.au/pub/software/${PN}/${P}.tar.bz2";
+
+SLOT="0/5"
+LICENSE="LGPL-3"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc fortran fits pgplot static-libs +tools"
+
+RDEPEND="
+       fits? ( sci-libs/cfitsio:0= )
+       pgplot? ( sci-libs/pgplot:0= )"
+DEPEND="${RDEPEND}
+       sys-devel/flex
+       virtual/pkgconfig"
+
+src_configure() {
+       local myconf=(
+               --docdir="${EPREFIX}"/usr/share/doc/${PF}
+               --htmldir="${EPREFIX}"/usr/share/doc/${PF}
+               $(use_enable fortran)
+               $(use_enable tools utils)
+       )
+       # hacks because cfitsio and pgplot directories are hard-coded
+       if use fits; then
+               myconf+=(
+                       --with-cfitsioinc="${EPREFIX}/usr/include"
+                       --with-cfitsiolib="${EPREFIX}/usr/$(get_libdir)"
+               )
+       else
+               myconf+=( --without-cfitsio )
+       fi
+       if use pgplot; then
+               myconf+=(
+                       --with-pgplotinc="${EPREFIX}/usr/include"
+                       --with-pgplotlib="${EPREFIX}/usr/$(get_libdir)"
+               )
+       else
+               myconf+=( --without-pgplot )
+       fi
+       econf ${myconf[@]}
+       sed -i -e 's/COPYING\*//' GNUmakefile || die
+}
+
+src_compile() {
+       # nasty makefile, debugging means probably full rewrite
+       emake -j1
+}
+
+src_test() {
+       emake -j1 check
+}
+
+src_install () {
+       default
+       # static libs share the same symbols as shared (i.e. compiled with PIC)
+       # so they are not compiled twice
+       use static-libs || rm "${ED}"/usr/$(get_libdir)/lib*.a
+       use doc || rm -r \
+               "${ED}"/usr/share/doc/${PF}/html \
+               "${ED}"/usr/share/doc/${PF}/*.pdf
+}

Reply via email to